-- this file demonstrates the problem with foreign keys
-- described in the book on pages 54-55.

DROP TABLE IF EXISTS B;
DROP TABLE IF EXISTS A;


-- if you put the foreign key clause in this schema for
-- table A, then this create table statement will fail
CREATE TABLE A ( id INTEGER,                  
                 ref INTEGER, 
                 PRIMARY KEY (id) 
--                 ,FOREIGN KEY (ref) REFERENCES B(id)
               ) ENGINE=InnoDB;


CREATE TABLE B ( id INTEGER,                  
                 ref INTEGER, 
                 PRIMARY KEY (id), 
                 FOREIGN KEY (ref) REFERENCES A(id)
               ) ENGINE=InnoDB;
     

INSERT INTO A VALUES( 1, 2 );
INSERT INTO A VALUES( 2, 2 );
INSERT INTO B VALUES( 1, 1 );
INSERT INTO B VALUES( 2, 1 );
-- cause a foreign key error
--INSERT INTO B VALUES( 3, 0 );

select * from A;

select * from B;
